import { Component } from '../component';
import { YamlFile } from '../yaml';
import { GitHub } from './github';
import * as workflows from './workflows-model';
/**
 * @experimental
 */
export interface GithubWorkflowOptions {
    /**
     * (experimental) Force the creation of the workflow even if `workflows` is disabled in `GitHub`.
     *
     * @default false
     * @experimental
     */
    readonly force?: boolean;
}
/**
 * (experimental) Workflow for GitHub.
 *
 * A workflow is a configurable automated process made up of one or more jobs.
 *
 * @see https://docs.github.com/en/actions/reference/workflow-syntax-for-github-actions
 * @experimental
 */
export declare class GithubWorkflow extends Component {
    /**
     * @experimental
     */
    readonly name: string;
    /**
     * @experimental
     */
    readonly file: YamlFile | undefined;
    private events;
    private jobs;
    /**
     * @experimental
     */
    constructor(github: GitHub, name: string, options?: GithubWorkflowOptions);
    /**
     * @experimental
     */
    on(events: workflows.Triggers): void;
    /**
     * @experimental
     */
    addJobs(jobs: Record<string, workflows.Job>): void;
    private renderWorkflow;
}
